mia-2dgroundtruthreg(1)

NAME
mia-2dgroundtruthreg - Registration of a series of 2D images

SYNOPSIS
mia-2dgroundtruthreg -i <in-file> -o <out-file> -A <alpha> -B <beta> -R <rho_thresh> [options]

DESCRIPTION
mia-2dgroundtruthreg This program implements the non-linear registration based on Pseudo Ground Thruth for motion compensation of series of myocardial perfusion images as described in

    Chao Li and Ying Sun, 'Nonrigid Registration of Myocardial Perfusion MRI Using Pseudo Ground Truth' , In Proc. Medical Image Computing and Computer-Assisted Intervention MICCAI 2009, 165-172, 2009. (https://doi.org/10.1007/978-3-642-04268-3_21)

 Note that for this nonlinear motion correction a preceding linear registration step is usually required.

OPTIONS

  File-IO

    -i --in-file=(input, required); string
        input perfusion data set

    -o --out-file=(output, required); string
        output perfusion data set

    -r --registered=reg
        file name base for registered files

  Preconditions

    -s --skip=2
        skip images at beginning of series

    -P --passes=4
        number of registration passes

  Pseudo-Ground-Thruth

    -A --alpha=(required); double
        spacial neighborhood penalty weight

    -B --beta=(required); double
        temporal second derivative penalty weight

    -R --rho_thresh=(required); double
        correlation threshold for neighborhood analysis

  Registration

    -O --optimizer=gsl:opt=gd,step=0.1
        Optimizer used for minimization
         For supported plugins see PLUGINS:minimizer/singlecost

    -p --interpolator=bspline:d=3
        image interpolator kernel
         For supported plugins see PLUGINS:1d/splinekernel

    -l --mr-levels=3
        multi-resolution levels

    -d --divcurl=20
        divcurl regularization weight

    --divcurl-divider=4
        divcurl weight scaling with each new pass

    -a --start-c-rate=32
        start coefficinet rate in spines, gets divided by --c-rate-divider with every pass

    --c-rate-divider=4
        cofficient rate divider for each pass

    -w --imageweight=1
        image cost weight

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

PLUGINS: 1d/splinekernel

bspline
    B-spline kernel creation , supported parameters are:

    d = 3; int in [0, 5]
        Spline degree.

omoms
    OMoms-spline kernel creation, supported parameters are:

    d = 3; int in [3, 3]
        Spline degree.

PLUGINS: minimizer/singlecost

gdas
    Gradient descent with automatic step size correction., supported parameters are:

    ftolr = 0; double in [0, inf)
        Stop if the relative change of the criterion is below..

    max-step = 2; double in (0, inf)
        Maximal absolute step size.

    maxiter = 200; uint in [1, inf)
        Stopping criterion: the maximum number of iterations.

    min-step = 0.1; double in (0, inf)
        Minimal absolute step size.

    xtola = 0.01; double in [0, inf)
        Stop if the inf-norm of the change applied to x is below this value..

gdsq
    Gradient descent with quadratic step estimation, supported parameters are:

    ftolr = 0; double in [0, inf)
        Stop if the relative change of the criterion is below..

    gtola = 0; double in [0, inf)
        Stop if the inf-norm of the gradient is below this value..

    maxiter = 100; uint in [1, inf)
        Stopping criterion: the maximum number of iterations.

    scale = 2; double in (1, inf)
        Fallback fixed step size scaling.

    step = 0.1; double in (0, inf)
        Initial step size.

    xtola = 0; double in [0, inf)
        Stop if the inf-norm of x-update is below this value..

gsl optimizer plugin based on the multimin optimizers of the GNU Scientific Library (GSL) https://www.gnu.org/software/gsl/, supported parameters are:

    eps = 0.01; double in (0, inf)
        gradient based optimizers: stop when |grad| < eps, simplex: stop when simplex size < eps..

    iter = 100; uint in [1, inf)
        maximum number of iterations.

    opt = gd; dict
        Specific optimizer to be used.. Supported values are:
            simplex - Simplex algorithm of Nelder and Mead
            cg-fr - Flecher-Reeves conjugate gradient algorithm
            cg-pr - Polak-Ribiere conjugate gradient algorithm
            bfgs - Broyden-Fletcher-Goldfarb-Shann
            bfgs2 - Broyden-Fletcher-Goldfarb-Shann (most efficient version)
            gd - Gradient descent.

    step = 0.001; double in (0, inf)
        initial step size.

    tol = 0.1; double in (0, inf)
        some tolerance parameter.

nlopt
    Minimizer algorithms using the NLOPT library, for a description of the optimizers please see 'http://ab-initio.mit.edu/wiki/index.php/NLopt_Algorithms', supported parameters are:

    ftola = 0; double in [0, inf)
        Stopping criterion: the absolute change of the objective value is below this value.

    ftolr = 0; double in [0, inf)
        Stopping criterion: the relative change of the objective value is below this value.

    higher = inf; double
        Higher boundary (equal for all parameters).

    local-opt = none; dict
        local minimization algorithm that may be required for the main minimization algorithm.. Supported values are:
            gn-direct - Dividing Rectangles
            gn-direct-l - Dividing Rectangles (locally biased)
            gn-direct-l-rand - Dividing Rectangles (locally biased, randomized)
            gn-direct-noscal - Dividing Rectangles (unscaled)
            gn-direct-l-noscal - Dividing Rectangles (unscaled, locally biased)
            gn-direct-l-rand-noscale - Dividing Rectangles (unscaled, locally biased, randomized)
            gn-orig-direct - Dividing Rectangles (original implementation)
            gn-orig-direct-l - Dividing Rectangles (original implementation, locally biased)
            ld-lbfgs-nocedal - None
            ld-lbfgs - Low-storage BFGS
            ln-praxis - Gradient-free Local Optimization via the Principal-Axis Method
            ld-var1 - Shifted Limited-Memory Variable-Metric, Rank 1
            ld-var2 - Shifted Limited-Memory Variable-Metric, Rank 2
            ld-tnewton - Truncated Newton
            ld-tnewton-restart - Truncated Newton with steepest-descent restarting
            ld-tnewton-precond - Preconditioned Truncated Newton
            ld-tnewton-precond-restart - Preconditioned Truncated Newton with steepest-descent restarting
            gn-crs2-lm - Controlled Random Search with Local Mutation
            ld-mma - Method of Moving Asymptotes
            ln-cobyla - Constrained Optimization BY Linear Approximation
            ln-newuoa - Derivative-free Unconstrained Optimization by Iteratively Constructed Quadratic Approximation
            ln-newuoa-bound - Derivative-free Bound-constrained Optimization by Iteratively Constructed Quadratic Approximation
            ln-neldermead - Nelder-Mead simplex algorithm
            ln-sbplx - Subplex variant of Nelder-Mead
            ln-bobyqa - Derivative-free Bound-constrained Optimization
            gn-isres - Improved Stochastic Ranking Evolution Strategy
            none - don't specify algorithm

    lower = -inf; double
        Lower boundary (equal for all parameters).

    maxiter = 100; int in [1, inf)
        Stopping criterion: the maximum number of iterations.

    opt = ld-lbfgs; dict
        main minimization algorithm. Supported values are:
            gn-direct - Dividing Rectangles
            gn-direct-l - Dividing Rectangles (locally biased)
            gn-direct-l-rand - Dividing Rectangles (locally biased, randomized)
            gn-direct-noscal - Dividing Rectangles (unscaled)
            gn-direct-l-noscal - Dividing Rectangles (unscaled, locally biased)
            gn-direct-l-rand-noscale - Dividing Rectangles (unscaled, locally biased, randomized)
            gn-orig-direct - Dividing Rectangles (original implementation)
            gn-orig-direct-l - Dividing Rectangles (original implementation, locally biased)
            ld-lbfgs-nocedal - None
            ld-lbfgs - Low-storage BFGS
            ln-praxis - Gradient-free Local Optimization via the Principal-Axis Method
            ld-var1 - Shifted Limited-Memory Variable-Metric, Rank 1
            ld-var2 - Shifted Limited-Memory Variable-Metric, Rank 2
            ld-tnewton - Truncated Newton
            ld-tnewton-restart - Truncated Newton with steepest-descent restarting
            ld-tnewton-precond - Preconditioned Truncated Newton
            ld-tnewton-precond-restart - Preconditioned Truncated Newton with steepest-descent restarting
            gn-crs2-lm - Controlled Random Search with Local Mutation
            ld-mma - Method of Moving Asymptotes
            ln-cobyla - Constrained Optimization BY Linear Approximation
            ln-newuoa - Derivative-free Unconstrained Optimization by Iteratively Constructed Quadratic Approximation
            ln-newuoa-bound - Derivative-free Bound-constrained Optimization by Iteratively Constructed Quadratic Approximation
            ln-neldermead - Nelder-Mead simplex algorithm
            ln-sbplx - Subplex variant of Nelder-Mead
            ln-bobyqa - Derivative-free Bound-constrained Optimization
            gn-isres - Improved Stochastic Ranking Evolution Strategy
            auglag - Augmented Lagrangian algorithm
            auglag-eq - Augmented Lagrangian algorithm with equality constraints only
            g-mlsl - Multi-Level Single-Linkage (require local optimization and bounds)
            g-mlsl-lds - Multi-Level Single-Linkage (low-discrepancy-sequence, require local gradient based optimization and bounds)
            ld-slsqp - Sequential Least-Squares Quadratic Programming

    step = 0; double in [0, inf)
        Initial step size for gradient free methods.

    stop = -inf; double
        Stopping criterion: function value falls below this value.

    xtola = 0; double in [0, inf)
        Stopping criterion: the absolute change of all x-values is below this value.

    xtolr = 0; double in [0, inf)
        Stopping criterion: the relative change of all x-values is below this value.

EXAMPLE
Register the perfusion series given by images imageXXXX.exr by using Pseudo Ground Truth estimation. Skip two images at the beginning and otherwiese use the default parameters. Store the result images to 'regXXXX.exr'.

mia-2dgroundtruthreg -i imageXXXX.exr -o regXXXX.exr -k 2

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.